<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function($extKey)
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'DTInternet.DtiCookienote',
            'cookienotehtml',
            [
                'Cookienote' => 'list'
            ],
            // non-cacheable actions
            [

            ]
        );

        // Ermitteln der T3 Versionsnummer und entsprechend abfragen
        $t3version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version);

        if ($t3version >= 6002000) {
            // wizards
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
                'mod {
                wizards.newContentElement.wizardItems.plugins {
                    elements {
                        cookienotehtml {
                            iconIdentifier = dti_cookienote-plugin-cookienotehtml
                            title = DSGVO-Konforme HTML-Einbindung
                            description = Einbindung von DSGVO-Konformen iframes, zum Beispiel für GoogleMaps
                            tt_content_defValues {
                                CType = list
                                list_type = dticookienote_cookienotehtml
                            }
                        }
                    }
                    show = *
                }
           }'
            );
        } else {
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TsConfig/wizard.txt">');
        }
    },
    $_EXTKEY
);
